// @file
// Custom sass mixins
//
// Define the custom mixins for your project here.
// http://sass-lang.com/docs/yardoc/file.SASS_REFERENCE.html#defining_a_mixin


// -----------------------------------------------------------------------------
//

// Daark Turquoise 
@mixin dark-turquoise {
  background: $colour-dark-turquois;
  color: white;
  padding: 1.5em;
  & > * ,
  a {
    color: inherit;
  }
  h1,h2 {
    color: $colour-yellow; 
    font-size: 2em;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    font-weight: 400;
    font-family: $font-azona-sans;
    text-align: left;
    @media all and (min-width: 500px) {
      font-size: 2.7em;

    }
  }
}

@mixin yellow {
  background-color: $colour-yellow;
  color : $colour-dark-turquois;
  & > *,
  a {
    color: inherit;
  }
}

.background-dark-turquoise {
  @include dark-turquoise
}
.background-yellow {
  @include yellow;
}
.colour-yellow {
 color: $colour-yellow;
}